解决Eclipse升级ADT22以后以及Android Studio由于依赖库问题无法直接运行

前几天Google发布了Android Studio以及ADT22的更新,好多同学在第一时间就用上了。首先在此提醒一句,由于Android Studio可以被视为抢先预览版,肯定是会有各种各样的问题的,建议商业项目依旧在Eclipse中开发,Google依然会把Eclipse作为主要的Android开发工具来支持。看版本号V0.1就知道,不要用了之后产生了问题怪Google,没有参与反馈以及改进打算的同学还是等以后稳定的大版本吧,这个版本本身就是给志愿参与测试的开发者准备的。

首先说下ADT22的更新,很多人在Google发布Android Studio的时候就意识到ADT会有更新,因此第一时间进行了更新。但有些同学发现一些类似R文件不产生啊之类的一些问题,请确认SDK Manager中Tools部分也已经更新了。

1.jpg

也可能有些同学发现以前直接扔libs目录里面的第三方库在Eclipse里面运行项目的时候报找不到类的错误了,这时候请确认选中项目Properties->Java Build Path->Order and Export中的Android Primary Library处于勾选状态。

2.jpg

下面就说说Android Studio中部分同学可能碰到的导入以前的工程直接点击运行时编译报错的问题。

选中工程右键Open Module Settings或者F4打开Project Structure。
首先保证SDK和Java版本是对的。

3.jpg

然后看Module选项中自己项目的Dependencies中libs和你依赖的项目是否都勾选上了。

4.jpg

然后看Libraries中你所需要的jar包是否都在里面。

5.jpg

然后看Facets选项中你所用到的所有Library Project的Library Module是否被勾选上。

6.jpg

最后再确保每个Module下Sources选项的Source Folders没少东西,Excluded Folders没有多东西。

7.jpg

当然,上述情形都假设你正确安装工具并正常启动。如果是公司的工作环境,建议大家还是使用老版本避免各种各样的问题。

声明:eoe文章著作权属于作者,受法律保护,转载时请务必以超链接形式附带如下信息

原文作者: futurexiong

原文地址: http://my.eoe.cn/futurexiong/archive/3831.html

  • 0
    点赞
  • 0
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值